.alert-message {
    position: fixed;
    top: 6%;
    right: 1%;
    width: auto;
    padding: 5px 10px;
    height: 50px;
    /*border-top: solid 5px var(--white);*/
    background-color: transparent;
    color: #ffff;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    gap: 10%;
    z-index: 300000;
    opacity: .8;
    display: none;

    p {
        font-size: 15px;
        color: #ffff;
    }

    i {
        font-size: 20px;
    }
}

.alert-message.active {
    display: flex;
    animation: active-alert .5s alternate;
}

.alert-message::after {
    content: '';
    position: absolute;
    top: 0;
    right: 0;
    width: 100%;
    height: 5px;
    background-color:#ffffff;
    animation: progress-alert 5s alternate;
}

@keyframes active-alert {
    0% {
        transform: translateX(100%);
    }

    100% {
        transform: translateX(0%);
    }
}

@keyframes progress-alert {
    0% {
        width: 100%;
    }

    100% {
        width: 5%;
    }
}

@media(max-width: 500px) {
    .alert-message {
        width: 70%;
        top: 12%;
    }
}

